Skip to content
Back to top
View this page

# InputStoryContent

class telegram.InputStoryContent(type, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object describes the content of a story to post. Currently, it can be one of:

  - `telegram.InputStoryContentPhoto`

  - `telegram.InputStoryContentVideo`

  Use In

  - `telegram.Bot.edit_story()`

  - `telegram.Bot.post_story()`

  Added in version 22.1.

  Parameters:

    type (`str`) – Type of the content.

  type

    Type of the content.

    Type:

      `str`

  PHOTO = 'photo'

    `telegram.constants.InputStoryContentType.PHOTO`

  VIDEO = 'video'

    `telegram.constants.InputStoryContentType.VIDEO`